Subject: [PATCH 00/10] Reduce #ifdef NO_PTHREADS

From: Nguyễn Thái Ngọc Duy <[email-masked]>
Date: Sat, 27 Oct 2018 09:09:53 +0200

People seemed to support the idea of removing these #ifdef NO_PTHREADS [1]
so this is a complete series. I left the #ifdef in run-command.c and
transport-helper.c because those code looked complicated so perhaps we
could clean them up later. Even these updated files could be updated
more, I think, to reduce some code duplication, but I tried to keep
the change here minimal.

[1] https://public-inbox.org/git/[email-masked]/

Nguyễn Thái Ngọc Duy (10):
  thread-utils: macros to unconditionally compile pthreads API
  index-pack: remove #ifdef NO_PTHREADS
  name-hash.c: remove #ifdef NO_PTHREADS
  attr.c: remove #ifdef NO_PTHREADS
  send-pack.c: remove #ifdef NO_PTHREADS
  grep: remove #ifdef NO_PTHREADS
  preload-index.c: remove #ifdef NO_PTHREADS
  pack-objects: remove #ifdef NO_PTHREADS
  read-cache.c: remove #ifdef NO_PTHREADS
  Clean up pthread_create() error handling

 Makefile               |  2 +-
 attr.c                 | 14 ---------
 builtin/grep.c         | 58 +++++++++++++----------------------
 builtin/index-pack.c   | 68 +++++++++++-------------------------------
 builtin/pack-objects.c | 26 ++--------------
 grep.c                 |  6 ----
 grep.h                 |  6 ----
 name-hash.c            | 38 +++++++++--------------
 pack-objects.h         |  6 ----
 preload-index.c        | 23 +++++---------
 read-cache.c           | 49 +++++++++++-------------------
 run-command.c          |  2 +-
 send-pack.c            |  8 ++---
 thread-utils.c         | 48 +++++++++++++++++++++++++++++
 thread-utils.h         | 47 +++++++++++++++++++++++++++--
 15 files changed, 178 insertions(+), 223 deletions(-)

-- 
2.19.1.647.g708186aaf9